<ion-header class="ion-padding ion-no-border" style="border-bottom: solid 0.5px #b4b4b9">
  <ion-row class="ion-no-padding">
    <ion-col class="font-17 ion-no-padding" size="12">
      <ion-row class="ion-no-padding">
        <ion-col class="ion-no-padding"> <b>Filter </b> </ion-col>
        <ion-col size="3" class="ion-text-right ion-no-padding"
          ><ion-icon name="close" (click)="dismissModal()" class="font-20"></ion-icon
        ></ion-col>
      </ion-row>
    </ion-col>
    <ion-col class="font-13 color-grey ion-no-padding mt-5"> Filter your Pokedex based on the type </ion-col>
  </ion-row>
</ion-header>

<ion-content class="ion-padding">
  <div
    *ngFor="let type of pokemonTypes"
    (click)="selectItem(type)"
    class="font-15 mt-10"
    [ngClass]="selectedType?.name == type?.name ? 'item-chip item-chip-selected' : 'item-chip'"
  >
    {{ type?.name | titlecase }}
  </div>
  <div *ngIf="!pokemonTypes">
    <div *ngFor="let type of [0, 1, 2, 4, 5]" class="font-15 mt-10 item-chip">
      <ion-skeleton-text animated style="width: 50px"></ion-skeleton-text>
    </div>
  </div>
</ion-content>

<ion-footer class="ion-padding">
  <ion-button expand="block" (click)="dismissModal()"><b>Apply Filter</b></ion-button>
</ion-footer>
